Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.server
Interface TCPIPServerConfigInfoInterface

All Known Implementing Classes:
  TCPIPServerConfigInfo

    public interface TCPIPServerConfigInfoInterface

This class wraps TCPIP server configuration information.

Version:
  cvs revision: $Revision: 1.2 $ Last Modified: $Date: 2005/09/03 06:33:18 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Method Summary
`TCPIPSocketEstablishmentInfoInterface` | `getClientConnectionEstablishmentInfo()` It is for inbound client only.
`TCPIPServerConnectionManagementInfoInterface` | `getInboundConnectionManagementInfo()`
`TCPIPServerScheduleInfoInterface` | `getInboundScheduleInfo()`
`TCPIPServerPortBindingInfoInterface` | `getServerPortBindingInfo()`

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### getInboundConnectionManagementInfo

    TCPIPServerConnectionManagementInfoInterface getInboundConnectionManagementInfo()

  Returns:
    TCPIPServerConnectionManagementInfoInterface

### getServerPortBindingInfo

    TCPIPServerPortBindingInfoInterface getServerPortBindingInfo()

  Returns:
    TCPIPServerPortBindingInfoInterface

### getClientConnectionEstablishmentInfo

    TCPIPSocketEstablishmentInfoInterface getClientConnectionEstablishmentInfo()

  It is for inbound client only.

  Returns:
    TCPIPSocketEstablishmentInfoInterface

### getInboundScheduleInfo

    TCPIPServerScheduleInfoInterface getInboundScheduleInfo()
                                                            throws TCPIPApplicationException

  Returns:
    TCPIPServerScheduleInfoInterface
  Throws:
    `TCPIPApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD